## audacious-dumb 0.65

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,13 @@
-PLUGIN_FILE := libdumb.so
+PLUGIN_FILE := dumb.so
 
 INSTALL_DIR := $(shell pkg-config audacious --variable=input_plugin_dir)
 
 INSTALL_DIR_HOME := ~/.local/share/audacious/Plugins/Input
 
-CC ?= gcc
 CFLAGS ?= -O2 -pipe
 
 CFLAGS += -Wall -fPIC -DPIC -I/usr/local/include
-AUDACIOUSCFLAGS = $(shell pkg-config 'audacious >= 1.4' --cflags || echo "old")
+AUDACIOUSCFLAGS := $(shell pkg-config 'audacious >= 2.5' --cflags || echo "old")
 
 ifeq ($(AUDACIOUSCFLAGS),old)
 version:
@@ -31,7 +30,7 @@
 	@echo "make install-home - for installation to home directory $(INSTALL_DIR_HOME)"
 
 $(PLUGIN_FILE): $(OBJECTS)
-	$(CC) -shared -o $@ $^ $(DUMBLIBS) $(AUDACIOUSLIBS)
+	$(CC) -shared $(LDFLAGS) -o $@ $^ $(DUMBLIBS) $(AUDACIOUSLIBS)
 
 $(OBJDIR)/%.o: %.c
 	$(CC) -o $@ $(CFLAGS) -c $<
@@ -78,7 +77,7 @@
 	@$(DEPCC) $(DUMBLIBS) -lm && echo "found." || exit 1
 	@echo -n "Audacious ... "
 	@pkg-config audacious --exists || { echo -n "pkg-config audacious not found: " && exit 1; }
-	@pkg-config audacious --atleast-version=1.4 || { echo -n "version 1.4 or later not found." && exit 1; }
+	@pkg-config audacious --atleast-version=2.5 || { echo -n "version 2.5 or later not found." && exit 1; }
 	@$(DEPCC) $(CFLAGS) $(AUDACIOUSLIBS) -include audacious/plugin.h && echo "`pkg-config audacious --modversion` found." || exit 1
 	@echo "Everything seems to be ok."
