=== debian/changelog ===
audacious-dumb (0.65-1) unstable; urgency=low

  * QA upload.
  * New upstream release. This is not the latest, though, as it wouldn't
    be compatible with current audacious version.
    - API are now compatible with recent audacious (Closes: #587984).
    - Fix compilation issues with recent audacious (Closes: #620919).
    - Trigger rebuild against new libmowgli (Closes: #629495).
  * Switch to format 3.0 (quilt).
  * debian/patches/audacious_version.patch:
    - Allow build with audacious 2.4.3 too.
  * debian/clean:
    - Remove libdumb.so on clean (Closes: #590543, #594045).
  * debian/compat:
    - Bump compatibility level to 8.
  * debian/control:
    - Set Maintainer to Debian QA Group.
    - Bump minimum audacious(-dev) version to >= 2.4.3
    - Bump Standards-Version to 3.9.2.
    - Remove duplicate Section field in binary stanza.
  * debian/copyright:
    - Use versioned link to GPL-2 license.
  * debian/rules:
    - Convert to dh.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 09 Dec 2011 00:31:25 +0100

audacious-dumb (0.57-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * audacious-dumb.c, audacious-dumb.h:
    - Cherry-Pick fixes for new audacious (Closes: #581282).

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 19 Jul 2010 19:45:24 +0200

audacious-dumb (0.57-1) unstable; urgency=low

  * New upstream release.
  * No-change update to Standards-Version 3.7.3.

 -- William Pitcock <nenolod@sacredspiral.co.uk>  Sun, 17 Feb 2008 20:11:56 -0600

audacious-dumb (0.56-1) unstable; urgency=low

  * Initial release (Closes: #451083)

 -- William Pitcock <nenolod@sacredspiral.co.uk>  Tue, 13 Nov 2007 01:54:56 -0600
