=== debian/control ===
Source: audacious-dumb
Section: sound
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8), audacious-dev (>= 2.4.3), libdumb1-dev, pkg-config
Standards-Version: 3.9.2
Homepage: http://www.netswarm.net

Package: audacious-dumb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, audacious (>= 2.4.3)
Description: audacious plugin for MOD playback via libdumb
 audacious-dumb is a plugin for playing back MODs using the
 popular libdumb MOD playback engine.
 .
 It supports module formats such as: IT (Impulse Tracker),
 S3M (Scream Tracker 3), XM (Fast Tracker 2), and also
 some common Amiga Module file formats.
