## audacious-dumb 0.80

=== Makefile ===
--- 
+++ 
@@ -1,25 +1,36 @@
 PLUGIN_FILE := dumb.so
+PACKAGE := audacious-dumb
+
+AUDMINVER := 3.2
+
+CFLAGS ?= -O2 -pipe
+CFLAGS += -Wall -fPIC -DPIC -I/usr/local/include
 
 INSTALL_DIR := $(shell pkg-config audacious --variable=input_plugin_dir)
-
 INSTALL_DIR_HOME := ~/.local/share/audacious/Plugins/Input
 
-CFLAGS ?= -O2 -pipe
+AUDPREFIX := $(shell pkg-config audacious --variable=exec_prefix)
+AUDBIN := $(AUDPREFIX)/bin/audacious
 
-CFLAGS += -Wall -fPIC -DPIC -I/usr/local/include
-AUDACIOUSCFLAGS := $(shell pkg-config 'audacious >= 2.5' --cflags || echo "old")
+#GTKBASEVER ?= 2.0 # 2.0 or 3.0
+GTKBASEVER ?= $(shell ldd $(AUDBIN) | grep -q 'libgtk-3' && echo '3.0' || echo '2.0')
+GTKCFLAGS :=  $(shell pkg-config gtk+-$(GTKBASEVER) --cflags)
+
+AUDACIOUSCFLAGS := $(shell pkg-config 'audacious >= $(AUDMINVER)' --cflags || echo "old")
 
 ifeq ($(AUDACIOUSCFLAGS),old)
 version:
+	@echo "Your Audacious version is too old. Version $(AUDMINVER) or later is required."
 	@false
 else
-CFLAGS += $(AUDACIOUSCFLAGS)
+CFLAGS += $(AUDACIOUSCFLAGS) $(GTKCFLAGS) -DPACKAGE=\"$(PACKAGE)\"
 endif
 
 DUMBLIBS := -ldumb -L/usr/local/lib
 AUDACIOUSLIBS := $(shell pkg-config audacious --libs) 
+GTKLIBS += $(shell pkg-config gtk+-$(GTKBASEVER) --libs)
 
-SOURCES := audacious-dumb.c callbacks.c interface.c support.c
+SOURCES := audacious-dumb.c
 OBJDIR := obj
 OBJECTS := $(SOURCES:%.c=$(OBJDIR)/%.o)
 
@@ -30,7 +41,7 @@
 	@echo "make install-home - for installation to home directory $(INSTALL_DIR_HOME)"
 
 $(PLUGIN_FILE): $(OBJECTS)
-	$(CC) -shared $(LDFLAGS) -o $@ $^ $(DUMBLIBS) $(AUDACIOUSLIBS)
+	$(CC) -shared $(LDFLAGS) -o $@ $^ $(DUMBLIBS) $(AUDACIOUSLIBS) $(GTKLIBS)
 
 $(OBJDIR)/%.o: %.c
 	$(CC) -o $@ $(CFLAGS) -c $<
@@ -77,7 +88,8 @@
 	@$(DEPCC) $(DUMBLIBS) -lm && echo "found." || exit 1
 	@echo -n "Audacious ... "
 	@pkg-config audacious --exists || { echo -n "pkg-config audacious not found: " && exit 1; }
-	@pkg-config audacious --atleast-version=2.5 || { echo -n "version 2.5 or later not found." && exit 1; }
+	@pkg-config audacious --atleast-version=$(AUDMINVER) || { echo -n "version $(AUDMINVER) or later not found." && exit 1; }
 	@$(DEPCC) $(CFLAGS) $(AUDACIOUSLIBS) -include audacious/plugin.h && echo "`pkg-config audacious --modversion` found." || exit 1
+	@echo "Audacious GTK base version ... $(GTKBASEVER)"
 	@echo "Everything seems to be ok."
