=== debian/changelog ===
audacious-dumb (0.80-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
    - Fix FTBFS if compiled against latest audacious (Closes: #664906).
  * debian/patches/audacious_version.patch:
    - Dropped, no longer needed.
  * debian/compat:
    - Bump compatibility level to 9.
  * debian/control:
    - Add libgtk2.0-dev to Build-Depends.
    - Bump minimum audacious version to >= 3.2.
    - Bump Standards-Version to 3.9.3.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 11 Apr 2012 00:11:21 +0200
