=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: sound
 Priority: extra
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 8), audacious-dev (>= 2.4.3), libdumb1-dev, pkg-config
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), audacious-dev (>= 3.2), libdumb1-dev, pkg-config, libgtk2.0-dev
+Standards-Version: 3.9.3
 Homepage: http://www.netswarm.net
 
 Package: audacious-dumb
