## audacious-dumb 0.82

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PLUGIN_FILE := dumb.so
 PACKAGE := audacious-dumb
 
-AUDMINVER := 3.2
+AUDMINVER := 3.3
 
 CFLAGS ?= -O2 -pipe
 CFLAGS += -Wall -fPIC -DPIC -I/usr/local/include
@@ -12,9 +12,7 @@
 AUDPREFIX := $(shell pkg-config audacious --variable=exec_prefix)
 AUDBIN := $(AUDPREFIX)/bin/audacious
 
-#GTKBASEVER ?= 2.0 # 2.0 or 3.0
-GTKBASEVER ?= $(shell ldd $(AUDBIN) | grep -q 'libgtk-3' && echo '3.0' || echo '2.0')
-GTKCFLAGS :=  $(shell pkg-config gtk+-$(GTKBASEVER) --cflags)
+GTKCFLAGS :=  $(shell pkg-config gtk+-3.0 --cflags)
 
 AUDACIOUSCFLAGS := $(shell pkg-config 'audacious >= $(AUDMINVER)' --cflags || echo "old")
 
@@ -28,7 +26,7 @@
 
 DUMBLIBS := -ldumb -L/usr/local/lib
 AUDACIOUSLIBS := $(shell pkg-config audacious --libs) 
-GTKLIBS += $(shell pkg-config gtk+-$(GTKBASEVER) --libs)
+GTKLIBS += $(shell pkg-config gtk+-3.0 --libs)
 
 SOURCES := audacious-dumb.c
 OBJDIR := obj
@@ -90,6 +88,5 @@
 	@pkg-config audacious --exists || { echo -n "pkg-config audacious not found: " && exit 1; }
 	@pkg-config audacious --atleast-version=$(AUDMINVER) || { echo -n "version $(AUDMINVER) or later not found." && exit 1; }
 	@$(DEPCC) $(CFLAGS) $(AUDACIOUSLIBS) -include audacious/plugin.h && echo "`pkg-config audacious --modversion` found." || exit 1
-	@echo "Audacious GTK base version ... $(GTKBASEVER)"
 	@echo "Everything seems to be ok."
