=== debian/changelog ===
audacious-dumb (0.82-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
    - Fix FTBFS if compiled against latest audacious (Closes: #707396).
  * debian/control:
    - Bump Standards-Version to 3.9.4.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 14 May 2013 20:33:13 +0200
