=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9), audacious-dev (>= 3.2), libdumb1-dev, pkg-config, libgtk2.0-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.netswarm.net
 
 Package: audacious-dumb
