=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
