=== debian/watch ===
version=3
http://www.netswarm.net/misc/audacious-dumb-(.*)\.tar\.gz
